Subject: Re: mingw, windows, crlf/lf, and git

From: Mark Levedahl <[email-masked]>
Date: Sun, 11 Feb 2007 21:37:24 -0500

Robin Rosenberg wrote:
> As of today git is a posix tool simply because it's not fully ported to
> other enviromnents. I brought this up quite a time ago, and didn't face heavy artillery
> then, and wouldn't today either. The code is still missing though. I didn't 
> write it then, because it's my #1 priority and nobody else did. Linus even did a 
> rough scetch, but that's it.
So, the basic design for this feature exists where? I would assume this 
would include a file mode indicator set in the blob or tree designating 
the blob is "text", along with mechanism to specify for a project what 
files are "text", along with some safety valve to check and not do 
transformation when the file does not look text-ish.

Mark